PHP Manual
Prev |  | Next

# HttpRequest::setPostFields

(no version information, might be only in CVS)

HttpRequest::setPostFields -- Set post fields

## Description

publicbool HttpRequest::setPostFields ( [array post_data] )

Set the POST data entries, overwriting previously set POST data.

Affects only POST and custom requests.

## Parameters

post_data

  an associative array containing the post fields; if empty or omitted, the post data will be unset

## Return Values

Returns `TRUE` on success or `FALSE` on failure.

Prev | Home | Next
HttpRequest::setOptions | Up | HttpRequest::setPostFiles